Loading...
Searching...
No Matches
OFConditionConst Struct Reference

A constant data structure which can be used for an OFCondition. More...

Inheritance diagram for OFConditionConst:

## Public Member Functions

OFBool | operator== (const OFConditionConst &arg) const
| comparison operator.
OFBool | operator!= (const OFConditionConst &arg) const
| comparison operator.

## Public Attributes

unsigned short | theModule
| module identifier. 0 is reserved for global codes.
unsigned short | theCode
| status code that is unique for each module
OFStatus | theStatus
| condition status enum
const char * | theText
| error text

## Detailed Description

A constant data structure which can be used for an OFCondition.

The reason this exists is because we need a trivially constructible class (= needs no constructor to be run before being usable) that can hold static condition codes.

## Member Function Documentation

## operator!=()

OFBool OFConditionConst::operator!= | ( | const OFConditionConst & | arg | ) | const

inline

comparison operator.

Compares status, code and module but not error text.

Parameters

  arg | error to compare to

Returns
  true if equal, false otherwise

## operator==()

OFBool OFConditionConst::operator== | ( | const OFConditionConst & | arg | ) | const

inline

comparison operator.

Compares status, code and module but not error text.

Parameters

  arg | error to compare to

Returns
  true if equal, false otherwise

References theCode, theModule, and theStatus.

The documentation for this struct was generated from the following file:

- ofstd/include/dcmtk/ofstd/ofcond.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.15.0